Package org.apache.sling.commons.threads

## Interface ThreadPoolConfig

All Known Implementing Classes:
  `ModifiableThreadPoolConfig`

    @ProviderType
    public interface ThreadPoolConfig

The thread pool configuration.

### Nested Class Summary

Nested Classes
`static class` `ThreadPoolConfig.ThreadPoolPolicy` The thread pool policies.
`static class` `ThreadPoolConfig.ThreadPriority`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ThreadPoolConfig.ThreadPoolPolicy` `getBlockPolicy()` Return the block policy.
`ThreadFactory` `getFactory()` Return the thread pool factory.
`long` `getKeepAliveTime()` Return the keep alive time.
`int` `getMaxPoolSize()` Return the maximum pool size
`long` `getMaxThreadAge()` Deprecated. Since version 3.4.0 always returns -1 as threads are no longer retired but instead the thread locals are cleaned up (SLING-6261)
`int` `getMinPoolSize()` Return the minimum pool size.
`ThreadPoolConfig.ThreadPriority` `getPriority()` Return the priority for the threads.
`int` `getQueueSize()` Return the queue size.
`int` `getShutdownWaitTimeMs()` Return the shutdown wait time in ms.
`boolean` `isDaemon()` Return if daemon threads should be created.
`boolean` `isShutdownGraceful()` Should this pool shutdown graceful.

### Method Detail

#### getMinPoolSize

    int getMinPoolSize()

Return the minimum pool size.

Returns:
  The minimum pool size.

#### getMaxPoolSize

    int getMaxPoolSize()

Return the maximum pool size

Returns:
  The maximum pool size.

#### getQueueSize

    int getQueueSize()

Return the queue size.

Returns:
  The queue size.

#### getMaxThreadAge

    @Deprecated
    long getMaxThreadAge()

Deprecated.
Since version 3.4.0 always returns -1 as threads are no longer retired but instead the thread locals are cleaned up (SLING-6261)
Return the maximum age before a thread is retired.

Returns:
  The maximum age of a thread in milliseconds.

#### getKeepAliveTime

    long getKeepAliveTime()

Return the keep alive time.

Returns:
  The keep alive time.

#### getBlockPolicy

    ThreadPoolConfig.ThreadPoolPolicy getBlockPolicy()

Return the block policy.

Returns:
  The block policy.

#### isShutdownGraceful

    boolean isShutdownGraceful()

Should this pool shutdown graceful.

Returns:
  `true` if the pool should shutdown graceful.

#### getShutdownWaitTimeMs

    int getShutdownWaitTimeMs()

Return the shutdown wait time in ms. A value below 1 means no waiting at shutdown.

Returns:
  The shutdown wait time in ms.

#### getFactory

    ThreadFactory getFactory()

Return the thread pool factory. A value of null means the default jvm thread pool factory is used.

Returns:
  The thread pool factory or `null`

#### getPriority

    ThreadPoolConfig.ThreadPriority getPriority()

Return the priority for the threads.

Returns:
  The priority for the threads.

#### isDaemon

    boolean isDaemon()

Return if daemon threads should be created.

Returns:
  `true` if daemon threads should be created.